summaryrefslogtreecommitdiffstats
path: root/git-check-commit-msg/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git-check-commit-msg/run-tests.sh')
-rwxr-xr-xgit-check-commit-msg/run-tests.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/git-check-commit-msg/run-tests.sh b/git-check-commit-msg/run-tests.sh
index d3da61c..3b43f16 100755
--- a/git-check-commit-msg/run-tests.sh
+++ b/git-check-commit-msg/run-tests.sh
@@ -8,7 +8,10 @@ errors=0
while read tc expect restofline
do
tcfile="${tcdir}/git-check-commit-msg/${tc}"
- test -s "$tcfile" || continue
+ test -f "$tcfile" || {
+ echo "$0: Fatal: Test file $tcfile not found." >&2
+ exit 1
+ }
"$script" "$tcfile"; s="$?"
@@ -26,3 +29,4 @@ commit-3 OK
EOF
[ "$errors" -ne 0 ] && exit 1
+exit 0